Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::Gtk::ComboBoxSignals Class Reference

Abstract base class that implements the virtual signal handlers for Gtk::ComboBox. More...

`#include <xfc/gtk/comboboxsignals.hh>`

Inheritance diagram for Xfc::Gtk::ComboBoxSignals:

List of all members.

## Public Member Functions

Signal Handlers

- virtual void on_changed ()
    Called when the active item in the combo box is changed.

## Protected Member Functions

Constructors

- ComboBoxSignals (ComboBox *combo_box)
    Construct a new ComboBoxSignals object.
- virtual ~ComboBoxSignals ()=0
    Destructor.

## Detailed Description

Abstract base class that implements the virtual signal handlers for Gtk::ComboBox.

## Constructor & Destructor Documentation

Xfc::Gtk::ComboBoxSignals::ComboBoxSignals | ( | ComboBox * | combo_box | ) | `[protected]`

Construct a new ComboBoxSignals object.

Parameters:

  | combo_box | A ComboBox object inheriting the ComboBoxSignals implementation.

The documentation for this class was generated from the following file:

- comboboxsignals.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3